# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

## Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Button
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Dump
- JXG.EventEmitter
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.VMLRenderer
- JXG.XML
- Label
- Line
- Locus
- MajorArc
- MajorSector
- Midpoint
- MinorArc
- MinorSector
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- PolarLine
- PolePoint
- Polygon
- Quadtree
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopetriangle
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle

# Class Slider

JXG.CoordsElement,JXG.GeometryElement
↳ JXG.Point
↳ Glider
↳ Slider

A slider can be used to choose values from a given range of numbers.
Defined in: slider.js.
Extends Glider.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Slider(start,end,data)

Fields borrowed from class Glider:
  slideObject
Fields borrowed from class JXG.GeometryElement:
  _org_type, _pos, ancestors, baseElement, board, childElements, dash, descendants, draft, dump, elementClass, elType, fillColor, fillOpacity, fixed, frozen, hasLabel, highlight, highlighted, highlightFillColor, highlightFillOpacity, highlightStrokeColor, highlightStrokeOpacity, highlightStrokeWidth, id, inherits, isDraggable, isReal, lastDragTime, methodMap, mouseover, name, needsRegularUpdate, needsUpdate, notExistingParents, numTraces, parents, quadraticform, rendNode, scalable, shadow, snapToGrid, stdform, strokeColor, strokeOpacity, strokeWidth, subs, symbolic, trace, traceAttributes, traces, transformations, transitionDuration, type, visible, visProp, visPropCalc
Fields borrowed from class JXG.CoordsElement:
  coords, groups, needsUpdateFromParent, onPolygon, position, slideObjects

Field Summary
Field Attributes | Field Name and Description
--- | ---
| _smax End value of the slider range.
| _smin Start value of the slider range.
| baseline Attributes for the base line of the slider.
| highline Attributes for the highlighting line of the slider.
| label Attributes for the slider label.
| point1 Attributes for first (left) helper point defining the slider position.
| point2 Attributes for second (right) helper point defining the slider position.
| precision The precision of the slider value displayed in the optional text.
| setMax Sets the maximum value of the slider.
| setMin Sets the minimum value of the slider.
| setValue Sets the value of the slider.
| size Size of slider point.
| snapWidth The slider only returns integer multiples of this value, e.g.
| ticks Attributes for the ticks of the base line of the slider.
| Value Returns the current slider value.
| withLabel Show slider label.
| withTicks Show slider ticks.

Fields borrowed from class Glider:
  slideObject
Fields borrowed from class JXG.GeometryElement:
  _org_type, _pos, ancestors, baseElement, board, childElements, dash, descendants, draft, dump, elementClass, elType, fillColor, fillOpacity, fixed, frozen, hasLabel, highlight, highlighted, highlightFillColor, highlightFillOpacity, highlightStrokeColor, highlightStrokeOpacity, highlightStrokeWidth, id, inherits, isDraggable, isReal, lastDragTime, methodMap, mouseover, name, needsRegularUpdate, needsUpdate, notExistingParents, numTraces, parents, quadraticform, rendNode, scalable, shadow, snapToGrid, stdform, strokeColor, strokeOpacity, strokeWidth, subs, symbolic, trace, traceAttributes, traces, transformations, transitionDuration, type, visible, visProp, visPropCalc
Fields borrowed from class JXG.CoordsElement:
  coords, groups, needsUpdateFromParent, onPolygon, position, slideObjects

Methods borrowed from class Glider:
  startAnimation, stopAnimation
Methods borrowed from class JXG.Point:
  face, hasPoint, makeIntersection, normalizeFace, setStyle, update, updateRenderer, updateTransform
Methods borrowed from class JXG.GeometryElement:
  _set, addChild, addDescendants, addParents, addRotation, addTransform, animate, bounds, clearTrace, cloneToBackground, countChildren, createGradient, createLabel, draggable, fullUpdate, generatePolynomial, getAttribute, getAttributes, getLabelAnchor, getName, getParents, getProperty, getTextAnchor, getType, handleSnapToGrid, hideElement, labelColor, noHighlight, normalize, prepareUpdate, remove, removeChild, removeDescendants, resolveShortcuts, setArrow, setAttribute, setDash, setDisplayRendNode, setLabel, setLabelText, setName, setParents, setPosition, setPositionDirectly, setProperty, showElement, snapToPoints, updateVisibility
Methods borrowed from class JXG.CoordsElement:
  _anim, addAnchor, addConstraint, Dist, free, handleAttractors, handleSnapToPoints, makeGlider, moveAlong, moveTo, popSlideObject, setGliderPosition, setPositionByTransform, updateConstraint, updateCoords, updateGlider, updateGliderFromParent, visit, X, XEval, Y, YEval, Z, ZEval

Events borrowed from class JXG.GeometryElement:
  attribute, attribute:<attribute><attribute>, down, drag, mousedown, mousedrag, mousemove, mouseout, mouseover, mouseup, move, out, over, touchdown, touchdrag, touchup, up

Class Detail
Slider(start,end,data)

Parameters:
{Array_Array_Array} start,end,data
  The first two arrays give the start and the end where the slider is drawn on the board. The third array gives the start and the end of the range the slider operates as the first resp. the third component of the array. The second component of the third array gives its start value.

Throws:
{Exception}
  If the element cannot be constructed with the given parent objects an exception is thrown.

Examples:

    // Create a slider with values between 1 and 10, initial position is 5.
    var s = board.create('slider', [[1, 2], [3, 2], [1, 5, 10]]);

    // Create a slider taking integer values between 1 and 50. Initial value is 50.
    var s = board.create('slider', [[1, 3], [3, 1], [0, 10, 50]], {snapWidth: 1, ticks: { drawLabels: true }});

Field Detail
{Number} _smax
End value of the slider range.

{Number} _smin
Start value of the slider range.

{Line} baseline
Attributes for the base line of the slider.
Defined in: options.js.

{Line} highline
Attributes for the highlighting line of the slider.
Defined in: options.js.

{Label} label
Attributes for the slider label.
Defined in: options.js.

{Point} point1
Attributes for first (left) helper point defining the slider position.
Defined in: options.js.

{Point} point2
Attributes for second (right) helper point defining the slider position.
Defined in: options.js.

{Number} precision
The precision of the slider value displayed in the optional text.
Defined in: options.js.

Default Value:
  2

{Object} setMax
Sets the maximum value of the slider.

{Object} setMin
Sets the minimum value of the slider.

{Object} setValue
Sets the value of the slider. This call must be followed by a board update call.

{Number} size
Size of slider point.
Defined in: options.js.

See:
  Point#size

Default Value:
  6

{Number} snapWidth
The slider only returns integer multiples of this value, e.g. for discrete values set this property to `1`. For continuous results set this to `-1`.
Defined in: options.js.

{Ticks} ticks
Attributes for the ticks of the base line of the slider.
Defined in: options.js.

{Number} Value
Returns the current slider value.

{Boolean} withLabel
Show slider label.
Defined in: options.js.

Default Value:
  true

{Boolean} withTicks
Show slider ticks.
Defined in: options.js.

Default Value:
  true

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Aug 23 2017 17:12:48 GMT-0000 (UTC)